"use strict";

const {
  convertCode
} = require('../utilities');

test('string.matchAll method', () => {
  const inputCode = `const iterator = text.matchAll("Cats");
const iterator1 = text.matchAll(/Cats/g);`;
  const outputCode = `const iterator = text.matchAll("Cats");
const iterator1 = text.matchAll(/Cats/g);`;
  expect(convertCode(inputCode)).toBe(outputCode);
});